<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();

echo "<b>Opciones:</b>	
&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='archivo_trabajador_chequeo.php?'>Regresar</a>
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Mensajes/Comentarios en el Chequeo del Trabajador</h2>";

///////////////////////////////////////////////// actualizar registros  ////////////////////////////////////////////////////////////////
if ($_POST['graba']==1) {
	if ($_POST['cedula']!="") {
			$consulta="Select codigo from personal where id='".$_SESSION['id_validar']."' and codigo='".$_POST['cedula']."'";
			$resultado = mysql_query($consulta) or die('Error en la consulta:  ' . mysql_error());
			$num_rows = mysql_num_rows($resultado);
			if ($num_rows != 0) {
				$fec = crear_fecha($_POST['fecha']);
				$query  = "update chequeo set mensaje='".$_POST['mensaje']."' where id='".$_SESSION['id_validar']."' and codigo = '".$_POST['cedula']."' and substring(fecha,1,10)='".$fec."' ";
				$entro="Registro Actualizado...";
				$consulta = mysql_query($query) or die ($query." - ".mysql_error());
			} else $entro = " C&eacute;dula NO existe...";
	} else $entro = " Debe ingresar C&eacute;dula...";
}
	
///////////////////////////////////////////////// mostrar entrada de datos  ////////////////////////////////////////////////////////////////
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'graba' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 align=center>";
		echo'<tr >
				<td align = right> Introduzca su C&eacute;dula o C&oacute;digo: </td>
				<td align = left>
					<input name="cedula" maxlength="8" size="20" onkeyup="verificar_cedula(this.form)">
				</td>
			</tr>';
		echo "<tr >";
			echo "<td  align='right'>Fecha (ddmmaaaa):</td>";
			echo "<td align = 'left'>";
					$valor = date("dmY");
					escribe_formulario_fecha_modifica("fecha","entrada",$valor);
			echo "</td>";
		echo "</tr>";
		echo'<tr>
				<td align=right> Comentario del d&iacute;a: </td>
				<td align = left>
					<input name="mensaje" maxlength="50" size="50">
				</td>
			</tr>';
	echo "</table><br>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Grabar Observaci&oacute;n'></td>";
	echo "<td>".$entro."</td>";
	echo "</form></table>";
	
echo "</body>";
echo "</html>";
?>